Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > Linux Forums > HOWTO-Related Questions

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 19th December 2008, 20:32
denbert denbert is offline
Member
 
Join Date: May 2008
Location: Copenhagen
Posts: 46
Thanks: 4
Thanked 3 Times in 3 Posts
Default The Perfect SpamSnake - Ubuntu 8.04 LTS - Page 02 - Installing Perl Modules

Hi there,

I'm planning to put the spamsnake in front of my M$ Exchange 2003 server and therefore I've stated on this SpamSnake installation.

I'm getting stuck in this:

1.11 Install Perl Modules(Pre-requisites)

I'm getting this when i try this command:

cpan> install Mail::SPF


Running make test
Make had some problems, maybe interrupted? Won't test
Running make install
Make had some problems, maybe interrupted? Won't install


I've also tried via webmin without any luck.

Anyone who can point me in the right direction?
Reply With Quote
Sponsored Links
  #2  
Old 20th December 2008, 18:15
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,747 Times in 2,578 Posts
Default

Try this:
Code:
apt-get install libmail-spf-query-perl
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
The Following User Says Thank You to falko For This Useful Post:
denbert (20th December 2008)
  #3  
Old 20th December 2008, 21:32
denbert denbert is offline
Member
 
Join Date: May 2008
Location: Copenhagen
Posts: 46
Thanks: 4
Thanked 3 Times in 3 Posts
Default

I'm having a new challenge when i try to install postfix:

6 Setting up Postfix

Code:
apt-get install postfix postfix-pcre postfix-mysql postfix-ldap cabextract lha unrar razor pyzor spamassassin
Giving me this:

Package lha is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package lha has no installation candidate

7.3 Razor Configuration

Code:
razor-admin -home=/var/lib/MailScanner/.razor -register
Giving me this:

gandalf:~# razor-admin -home=/var/lib/MailScanner/.razor -register
Error 202 while performing register, aborting.


I'm installing on a Debian Etch server

Last edited by denbert; 20th December 2008 at 22:58.
Reply With Quote
  #4  
Old 21st December 2008, 15:31
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,747 Times in 2,578 Posts
Default

Quote:
Originally Posted by denbert View Post
I'm having a new challenge when i try to install postfix:

6 Setting up Postfix

Code:
apt-get install postfix postfix-pcre postfix-mysql postfix-ldap cabextract lha unrar razor pyzor spamassassin
Giving me this:

Package lha is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package lha has no installation candidate
Leave out the lha package.

Quote:
Originally Posted by denbert View Post
7.3 Razor Configuration

Code:
razor-admin -home=/var/lib/MailScanner/.razor -register
Giving me this:

gandalf:~# razor-admin -home=/var/lib/MailScanner/.razor -register
Error 202 while performing register, aborting.


I'm installing on a Debian Etch server
Run the command again. Sometimes it needs to be run multiple times before it succeeds.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
The Following User Says Thank You to falko For This Useful Post:
denbert (21st December 2008)
  #5  
Old 21st December 2008, 17:18
denbert denbert is offline
Member
 
Join Date: May 2008
Location: Copenhagen
Posts: 46
Thanks: 4
Thanked 3 Times in 3 Posts
Default

Quote:
Originally Posted by falko View Post
Leave out the lha package.
Yeps, I'd also removed the unrar package from the install as this also made an error.

Quote:
Originally Posted by falko View Post
Run the command again. Sometimes it needs to be run multiple times before it succeeds.
Did't twice, and bingo received this:

Register successful. Identity stored in /var/lib/MailScanner/.razor/identity-

Thanks, I'll go on setting up the SpamSnake on Debian Etch
Reply With Quote
  #6  
Old 21st December 2008, 17:29
denbert denbert is offline
Member
 
Join Date: May 2008
Location: Copenhagen
Posts: 46
Thanks: 4
Thanked 3 Times in 3 Posts
Default

Hi again,

New issue:

7.4 DCC Setup and Configuration


Installing dcc gives me this problem:

gandalf:~# dpkg -i dcc-common_1.3.42-5_i386.deb
(Reading database ... 53306 files and directories currently installed.)
Preparing to replace dcc-common 1.3.42-5 (using dcc-common_1.3.42-5_i386.deb) ...
Unpacking replacement dcc-common ...
dpkg: dependency problems prevent configuration of dcc-common:
dcc-common depends on libc6 (>= 2.7-1); however:
Version of libc6 on system is 2.3.6.ds1-13etch8.
dpkg: error processing dcc-common (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
dcc-common


8 Configuring MailScanner and ClamAV


Installing ClamAV gives me this:

gandalf:~# apt-get install clamav clamav-daemon
Reading package lists... Done
Building dependency tree... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
clamav: Depends: libclamav2 (>= 0.90.1dfsg) but it is not going to be installed
Depends: clamav-freshclam but it is not going to be installed or
clamav-data
clamav-daemon: Depends: libclamav2 (>= 0.90.1dfsg) but it is not going to be installed
Depends: clamav-base (>= 0.90.1dfsg-4etch16) but it is not going to be installed
Depends: clamav-freshclam but it is not going to be installed or
clamav-data
dcc-common: Depends: libc6 (>= 2.7-1) but 2.3.6.ds1-13etch8 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).



I'm aware of the standard Debian (Etch) being very conservative in using new packages, is there a way to force the use the newest stable packages in the source.list?

Last edited by denbert; 21st December 2008 at 17:36.
Reply With Quote
  #7  
Old 22nd December 2008, 12:12
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,747 Times in 2,578 Posts
Default

What's in /etc/apt/sources.list?
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #8  
Old 22nd December 2008, 12:51
denbert denbert is offline
Member
 
Join Date: May 2008
Location: Copenhagen
Posts: 46
Thanks: 4
Thanked 3 Times in 3 Posts
Default

My sources.list

Code:
# deb cdrom:[Debian GNU/Linux 4.0 r3 _Etch_ - Official i386 NETINST Binary-1 20$

# deb cdrom:[Debian GNU/Linux 4.0 r3 _Etch_ - Official i386 NETINST Binary-1 20$

deb http://ftp.dkuug.dk/debian/ etch main
deb-src http://ftp.dkuug.dk/debian/ etch main

deb http://security.debian.org/ etch/updates main contrib
deb-src http://security.debian.org/ etch/updates main contrib

# Webmin entry by denbert
deb http://download.webmin.com/download/repository sarge contrib
But I've decided to use the christmas holidays on this, and therefore I'll wipe the Debian "Etch" box, and install a clean Ubuntu 8.04 LTS and then follow the howto - I think this will remove all my problems, as normally your howto's are the best on the internet
Reply With Quote
  #9  
Old 23rd December 2008, 15:28
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,747 Times in 2,578 Posts
Default

Looks ok (except for the sarge Webmin line). Did you have other repositories in that file previously? That would explain the dependency problems.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
  #10  
Old 24th December 2008, 08:59
denbert denbert is offline
Member
 
Join Date: May 2008
Location: Copenhagen
Posts: 46
Thanks: 4
Thanked 3 Times in 3 Posts
 
Default

Quote:
Originally Posted by falko View Post
Looks ok (except for the sarge Webmin line). Did you have other repositories in that file previously? That would explain the dependency problems.
First of all, Merry Christmas to you all.

As mentioned earlier in the thread, I've decided to wipe the Debian Etch and install Ubuntu 8.04 LTS - and yes, the howto worked like a charm.

I'm not a power administrator, but an autodidact dude, who loves the idea of Linux (especially Debian, though I started years ago with Redhat 5.1), and therefore I have an understanding problem with this:

9.10 Integrate SQL Blacklist/Whitelist (optional)

1. Edit the MySQL connection values within the CreateList subroutine of SQLBlackWhiteList.pm to match the values you entered previous into MailWatch.pm. Both files should contain the same values. (Look for the following lines in SQLBlackWhiteList.pm and enter your own data.)

Where and which file do i need to edit?
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
The Perfect SpamSnake - Ubuntu 8.04 LTS 1 Error in my log files Eleanor HOWTO-Related Questions 18 29th December 2008 21:28
The Perfect SpamSnake - Ubuntu 8.04 LTS - Emails stuck in postfix queue glazebrook HOWTO-Related Questions 10 19th November 2008 14:04
feature request - The Perfect SpamSnake - Ubuntu 8.04 LTS boyandhisdog HOWTO-Related Questions 1 2nd September 2008 19:44
Mailscanner problem on The Perfect SpamSnake - Ubuntu 8.04 LTS brownr26 HOWTO-Related Questions 3 20th August 2008 17:05
SpamSnake SpamAssassin not working? getrav HOWTO-Related Questions 5 24th June 2008 00:02


All times are GMT +2. The time now is 09:13.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.